# Generate

The `generate` command provides the ability to generate various Wails related components.

## Usage

`wails generate [subcommand] [options]`

## Template

`wails generate template -name <name> [-frontend] [-q]`

Generate a starter template for you to customise.

| Flag           | Details      | 
| :------------- | :----------- | 
| -frontend  | Copies all the files from the current directory into the template's `frontend` directory. Useful for converting frontend projects created by boilerplate generators. |
| -q | Suppress output | 
